Public Member Functions
CRTSStateList Class Reference

## Detailed Description

The CRTSStateList class holds information about a list of shader states.

This class represents a collection of CRTSState objects.

See also:
  CRTSState, IExecuteState, IRTSExecutionState::GetStateList

Since:
  7.0

`#include <XSI_rtshaders.h>`

List of all members.

## Public Member Functions
int | GetNbStates ()
CRTSState * | GetState (unsigned int in_Idx)
CRTSState * | GetStateByName (const char *in_szName)
CRTSState * | GetStateByID (unsigned long in_ID)
CRTSState * | AddState (const char *in_szName, void *in_pData, unsigned long in_ID=0)
void | RemoveState (CRTSState *in_pState)

## Member Function Documentation

int GetNbStates | ( |  | ) | `[inline]`

Returns the number of states in the list.

Returns:
  Size of this CRTSStateList.

CRTSState* GetState | ( | unsigned int | in_Idx | ) | `[inline]`

Returns the state object at the specified index in the list.

Parameters:

  in_Idx | Index at which to retrieve the state object.

Returns:
  A pointer to the CRTSState object

See also:
  CRTSStateList::GetStateByName, CRTSStateList::GetStateByID, CRTSStateList::GetNbStates

CRTSState* GetStateByName | ( | const char * | in_szName | ) | `[inline]`

Returns the state object matching the specified name.

Parameters:

  in_szName | Name of state object to retrieve

Returns:
  A pointer to the CRTSState object

See also:
  CRTSStateList::GetState, CRTSStateList::GetStateByID, CRTSState::GetName

CRTSState* GetStateByID | ( | unsigned long | in_ID | ) | `[inline]`

Returns the state object matching the specified ID.

Parameters:

  in_ID | ID of state object to retrieve

Returns:
  A pointer to the CRTSState object

See also:
  CRTSStateList::GetState, CRTSStateList::GetStateByName, CRTSState::GetID

CRTSState* AddState | ( | const char * | in_szName,
|  | void * | in_pData,
|  | unsigned long | in_ID = `0`
| ) |  | `[inline]`

Adds a new state to the list.

Parameters:

  in_szName | Name for the new state
  in_pData | Pointer to the data to attach
  in_ID | ID for the new state

Returns:
  A pointer to the newly created CRTSState object

See also:
  CRTSStateList::RemoveState

void RemoveState | ( | CRTSState * | in_pState | ) | `[inline]`

Removes a state from the list.

Parameters:

  in_pState | Pointer to the state to remove

See also:
  CRTSStateList::AddState

The documentation for this class was generated from the following file:

- XSI_rtshaders.h